Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy.ranking
Class ConservativeTimeStrideConsumptionRanking

    java.lang.Object
      lbg.peer.strategy.ranking.CommonRanking
          lbg.peer.strategy.ranking.ConservativeTimeStrideConsumptionRanking

All Implemented Interfaces:
  Ranking

    public class ConservativeTimeStrideConsumptionRanking

extends CommonRanking

ConservativeTimeStrideConsumptionRanking ranks grantors (i.e. potential suppliers who sent consumption grants) by using for each grantor its worst normalized rank among the MTBC and MCoS normalized ranks.

Note: value normalization is performed with respect to the maximum value among the set of target grantors.

Author:
  Cyril Briquet

Constructor Summary
`ConservativeTimeStrideConsumptionRanking(ConsumptionGrantsContainer c_g, JobConsumptionOutcomeTracker jcot, boolean do_blacklist)`

Method Summary
`int` | `getBlacklistedPeerCount()` Ranking implementation.
`int` | `getRankedPeerCount()` Ranking implementation.
`int` | `getUnrankedPeerCount()` Ranking implementation.
`int[]` | `peersRanking()` Ranking implementation.
`java.lang.String` | `toString()` Ranking implementation.

Methods inherited from class lbg.peer.strategy.ranking.CommonRanking
`getBlacklistedPeerRatio, getPeerCount, getRankedPeerRatio, getUnrankedPeerRatio`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConservativeTimeStrideConsumptionRanking

    public ConservativeTimeStrideConsumptionRanking(ConsumptionGrantsContainer c_g,
                                                    JobConsumptionOutcomeTracker jcot,
                                                    boolean do_blacklist)
                                             throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `CommonRanking`
  Ranking implementation.

  Specified by:
    `toString` in interface `Ranking`
  Overrides:
    `toString` in class `CommonRanking`

### peersRanking

    public int[] peersRanking()

  Ranking implementation.

  Specified by:
    `peersRanking` in interface `Ranking`
  Specified by:
    `peersRanking` in class `CommonRanking`
  Returns:
    Peers ranking, or null if no Peers can be ranked

### getRankedPeerCount

    public int getRankedPeerCount()

  Ranking implementation.

  Specified by:
    `getRankedPeerCount` in interface `Ranking`
  Specified by:
    `getRankedPeerCount` in class `CommonRanking`

### getUnrankedPeerCount

    public int getUnrankedPeerCount()

  Ranking implementation.

  Specified by:
    `getUnrankedPeerCount` in interface `Ranking`
  Specified by:
    `getUnrankedPeerCount` in class `CommonRanking`

### getBlacklistedPeerCount

    public int getBlacklistedPeerCount()

  Ranking implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.